<?php
/**
 * @file
 * Ticket Type entity class.
 */

/**
 * Provides an entity class Ticket Type.
 */
class TicketTypeEntity extends Entity {

  // Allow access to Ticket Type properties.
  public $ttid;
  public $vid;
  public $entity_type;
  public $entity_id;
  public $field_name;
  public $status;
  public $created;
  public $changed;
  public $bundle = 'ticket_type';

  /**
   * Construct.
   */
  public function __construct($values) {
    return parent::__construct($values, 'ticket_type');
  }

  /**
   * Entity save method.
   */
  public function save() {
    parent::save();
    ticket_flush_caches();
  }

  /**
   * A helper funtion to get a type's host entity.
   */
  public function host() {
    return entity_load_single($this->entity_type, $this->entity_id);
  }

}
