<?php
/**
 * @file
 * Ticket Type entity class.
 */

/**
 * Provides an entity class Ticket Type.
 */
class TicketStateEntity extends Entity {

  // Allow access to Ticket Type properties.
  public $tsid;
  public $label;
  public $name;
  public $description;
  public $weight;
  public $module;
  public $status;
  public $created;
  public $changed;
  public $bundle = 'ticket_state';

  /**
   * Construct.
   */
  public function __construct(array $values = array()) {
    return parent::__construct($values, 'ticket_state');
  }

}

class TicketStateUIController extends EntityDefaultUIController {

  /**
   * Implements hook_menu().
   */
  public function hook_menu() {
    $items = parent::hook_menu();

    // Simplify the ticket state permissions.
    foreach ($items as &$item) {
      if (isset($item['access callback'])) {
        unset($item['access callback']);
        $item['access arguments'] = array('administer ticket states');
      }
    }

    return $items;
  }

}
